package com.ss.android.ugc.aweme.im.sdk.chat.feature.read.viewmodel;

import X.0CB;
import X.0CN;
import X.2fJ;
import X.C1134IdB;
import X.C1239Ies;
import X.C4175Jl8;
import X.M12;
import android.os.Handler;
import com.bytedance.covode.number.Covode;
import java.util.List;

public abstract class AbsReadStateDelegate extends Handler implements 2fJ {
    public final C1239Ies LIZLLL;

    static {
        Covode.recordClassIndex(84784);
    }

    public void LIZ() {
    }

    public void LIZIZ(List<C4175Jl8> list) {
        M12.LIZ(list);
    }

    public void cJ_() {
    }

    @0CN(LIZ = 0CB.ON_CREATE)
    public void onCreate() {
        C1134IdB.onCreate(this);
    }

    @0CN(LIZ = 0CB.ON_DESTROY)
    public void onDestroy() {
        C1134IdB.onDestroy(this);
    }

    @0CN(LIZ = 0CB.ON_PAUSE)
    public void onPause() {
        C1134IdB.onPause(this);
    }

    @0CN(LIZ = 0CB.ON_RESUME)
    public void onResume() {
        C1134IdB.onResume(this);
    }

    @0CN(LIZ = 0CB.ON_START)
    public void onStart() {
        C1134IdB.onStart(this);
    }

    @0CN(LIZ = 0CB.ON_STOP)
    public void onStop() {
        C1134IdB.onStop(this);
    }

    public AbsReadStateDelegate(C1239Ies ies) {
        M12.LIZ(ies);
        this.LIZLLL = ies;
    }
}
